#!/bin/sh
eval `tshwctl --getmac --info`
if [ $jp1 -eq 1 ]; then j1=checked; fi
if [ $jp2 -eq 1 ]; then j2=checked; fi
if [ $jp3 -eq 1 ]; then j3=checked; fi
if [ $jp4 -eq 1 ]; then j4=checked; fi
if [ $jp5 -eq 1 ]; then j5=checked; fi
if [ $jp6 -eq 1 ]; then j6=checked; fi
if [ $jp7 -eq 1 ]; then j7=checked; fi
if [ $jp8 -eq 1 ]; then j8=checked; fi
read rootver < /mnt/root/root.version
if [ -n "$rootver" ]; then rootver="(root: $rootver)"; fi
let revision="$revision"
uname=`uname -r -v`
cat <<EOF
Content-Type: text/html


<html>
<head>
<script type="text/javascript">
function req(url, callback) {
  var ob;
  var cb = function() {
    if (this.readyState == 4 && this.status == 200) callback(this);
  }
  if (window.XMLHttpRequest) ob=new XMLHttpRequest();
  else if (window.ActiveXObject) ob=new ActiveXObject("Microsoft.XMLHTTP");
  ob.onreadystatechange=cb;
  ob.open("GET", url);
  try { ob.send(); } catch (e) { }
}
function jp(x,n)  {
  if (x) {
    req("/cgi-bin/cmd?"+encodeURIComponent("tshwctl --setjp "+n),
        function() { })
  } else {
    req("/cgi-bin/cmd?"+encodeURIComponent("tshwctl --removejp "+n),
        function() { })
  }
}
</script>
<style>
input[type=checkbox] {
  /* All browsers except webkit*/
  transform: scale(1.6);

  /* Webkit browsers*/
  -webkit-transform: scale(1.6);
}
</style>
</head>
<body>
<p style="font-size:15px">
Board type: TS-${MODEL} (serial number: $shortmac)<br>
Board IP address: $HTTP_HOST<br>
Board MAC address: $mac<br>
Version: $uname (fpga: $revision) $rootver <br>
Telnet Console URL (if your browser supports it): <a href=telnet://$HTTP_HOST>telnet://$HTTP_HOST</a><br>
<br>
<b>Soft Jumpers:</b><br>
JP1  <input type='checkbox' onclick='jp(this.checked,1)' $j1/> (Automatic boot to Linux filesystem)<br>
JP2  <input type='checkbox' onclick='jp(this.checked,2)' $j2/> <br>
JP3  <input type='checkbox' onclick='jp(this.checked,3)' $j3/> <br>
JP4  <input type='checkbox' onclick='jp(this.checked,4)' $j4/> <br>
JP5  <input type='checkbox' onclick='jp(this.checked,5)' $j5/> <br>
JP6  <input type='checkbox' onclick='jp(this.checked,6)' $j6/> <br>
JP7  <input type='checkbox' onclick='jp(this.checked,7)' $j7/> (Skip all initialization on startup for fastest boot)<br>
JP8  <input type='checkbox' onclick='jp(this.checked,8)' $j8/> (Skip full DRAM test on bootup)<br>
<br>
<a href=/hosts.html>All TS-${MODEL}'s on the local network</a><br>
<a href=http://wiki.embeddedarm.com/wiki/TS-${MODEL}>TS-${MODEL} Documentation</a><br>
<a href=http://ts.to/encode.php?m=$shortmac>QR code and URL shortcut</a><br>
<a href=/cgi-bin/reboot>Reboot this board</a><br>
Download: <a href=/cgi-bin/download/backup.dd>backup.dd</a> <a href=/cgi-bin/download/root.dd>root.dd</a> <a href=/cgi-bin/download/root.tar>root.tar</a> <a href=/cgi-bin/download/kernel.dd>kernel.dd</a><br>
<form name="form1" action="/cgi-bin/upload" METHOD="post" enctype="multipart/form-data">
<input type="file" name="tsfile" />
<input type="submit" name="set" VALUE="Upload">
</form>
</p>
</body>
</html>
EOF
